SRC/zsyswapr.f(3)

NAME
SRC/zsyswapr.f

SYNOPSIS

  Functions/Subroutines
subroutine zsyswapr (uplo, n, a, lda, i1, i2)
ZSYSWAPR

Function/Subroutine Documentation

  subroutine zsyswapr (character uplo, integer n, complex*16, dimension( lda, * ) a, integer lda, integer i1, integer i2)

ZSYSWAPR

Purpose:

     ZSYSWAPR applies an elementary permutation on the rows and the columns of
     a symmetric matrix.

Parameters
    UPLO

              UPLO is CHARACTER*1
              Specifies whether the details of the factorization are stored
              as an upper or lower triangular matrix.
              = 'U':  Upper triangular, form is A = U*D*U**T;
              = 'L':  Lower triangular, form is A = L*D*L**T.

    N

              N is INTEGER
              The order of the matrix A.  N >= 0.

    A

              A is COMPLEX*16 array, dimension (LDA,*)
              On entry, the N-by-N matrix A. On exit, the permuted matrix
              where the rows I1 and I2 and columns I1 and I2 are interchanged.
              If UPLO = 'U', the interchanges are applied to the upper
              triangular part and the strictly lower triangular part of A is
              not referenced; if UPLO = 'L', the interchanges are applied to
              the lower triangular part and the part of A above the diagonal
              is not referenced.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.  LDA >= max(1,N).

    I1

              I1 is INTEGER
              Index of the first row to swap

    I2

              I2 is INTEGER
              Index of the second row to swap

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 99 of file zsyswapr.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.